Loading...
Searching...
No Matches
Opm::MultiPhaseBaseModel< TypeTag > Class Template Reference

A base class for fully-implicit multi-phase porous-media flow models which assume multiple fluid phases. More...

`#include <multiphasebasemodel.hh>`

Inheritance diagram for Opm::MultiPhaseBaseModel< TypeTag >:

## Public Member Functions

| MultiPhaseBaseModel (Simulator &simulator)
bool | phaseIsConsidered (unsigned) const
| Returns true iff a fluid phase is used by the model.
void | globalPhaseStorage (EqVector &storage, unsigned phaseIdx)
| Compute the total storage inside one phase of all conservation quantities.
void | registerOutputModules_ ()

## Static Public Member Functions

static void | registerParameters ()
| Register all run-time parameters for the immiscible model.

## Detailed Description

template<class TypeTag>
class Opm::MultiPhaseBaseModel< TypeTag >

A base class for fully-implicit multi-phase porous-media flow models which assume multiple fluid phases.

## Member Function Documentation

## globalPhaseStorage()

template<class TypeTag>

void Opm::MultiPhaseBaseModel< TypeTag >::globalPhaseStorage | ( | EqVector & | storage,
|  | unsigned | phaseIdx )

inline

Compute the total storage inside one phase of all conservation quantities.

## phaseIsConsidered()

template<class TypeTag>

bool Opm::MultiPhaseBaseModel< TypeTag >::phaseIsConsidered | ( | unsigned |  | ) | const

inline

Returns true iff a fluid phase is used by the model.

Parameters

  phaseIdx | The index of the fluid phase in question

The documentation for this class was generated from the following file:

- opm/models/common/multiphasebasemodel.hh